org.apache.ignite.internal.visor.query

## Class VisorQueryResult

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorDataTransferObject
  - - org.apache.ignite.internal.visor.query.VisorQueryResult

All Implemented Interfaces:
  Externalizable, Serializable

    public class VisorQueryResult
    extends VisorDataTransferObject

Result for cache query tasks.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorQueryResult()` Default constructor.
`VisorQueryResult(UUID resNodeId, String qryId, List<VisorQueryField> cols, List<Object[]> rows, boolean hasMore, long duration)`

### Method Summary

Methods
`Collection<VisorQueryField>` `getColumns()`
`long` `getDuration()`
`String` `getQueryId()`
`UUID` `getResponseNodeId()`
`List<Object[]>` `getRows()`
`boolean` `isHasMore()`
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Load object's specific data content.
`String` `toString()`
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`getProtocolVersion, readExternal, toList, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorQueryResult

    public VisorQueryResult()

Default constructor.

#### VisorQueryResult

    public VisorQueryResult(UUID resNodeId,
                    String qryId,
                    List<VisorQueryField> cols,
                    List<Object[]> rows,
                    boolean hasMore,
                    long duration)

Parameters:
  `resNodeId` - Node where query executed.
  `qryId` - Query ID for future extraction in nextPage() access.
  `cols` - Columns descriptors.
  `rows` - Rows fetched from query.
  `hasMore` - Whether query has more rows to fetch.
  `duration` - Query duration.

### Method Detail

#### getResponseNodeId

    public UUID getResponseNodeId()

Returns:
  Response node id.

#### getQueryId

    public String getQueryId()

Returns:
  Query id.

#### getColumns

    public Collection<VisorQueryField> getColumns()

Returns:
  Columns.

#### getRows

    public List<Object[]> getRows()

Returns:
  Rows fetched from query.

#### isHasMore

    public boolean isHasMore()

Returns:
  Whether query has more rows to fetch.

#### getDuration

    public long getDuration()

Returns:
  Duration of next page fetching.

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `VisorDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                        ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `VisorDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017